Plugable UGA-2K-A USB 2.0 to VGA/DVI/HDMI Adapter on Mac OSX 10.4


#1

Just wondering if this Plugable UGA-2K-A USB 2.0 to VGA/DVI/HDMI Adapter will work on a mac running 10.4.11?

Read the site and it is vague on which version of the OS this works best (yes, I know I am very outdated here ).

Thanks.


#2

Hi Sid,

Thanks for asking ahead! The Plugable UGA-2K-A uses the DisplayLink DL-195 chip. Hence DisplayLink driver version 1.6 ( for OS: Snow Leopard 10.6, Leopard 10.5, Tiger 10.4) has to be installed for the unit to work.

If you are interested you can take a look at the User Guide.

Hope the above information helps! If you need any additional information feel free to post back here or shoot us an email at support@plugable.com. We are here to help!

Regards,
Roze


#3